Subject: Re: bug#6076: 23.1.96; [PATCH] rcirc-complete for nicks and commands

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 May 2010 21:14:10 -0400

> This is something that in other programs is called "in-place editing".
> Usually a field for editing is highlighted with a different background.
> In terms of Emacs this could be called "in-place completion".  For its
> implementation the most suitable feature is the `field' property.
> When completion is activated, a field could be created in the buffer
> and removed when completion is finished.  I suggest using the same
> key to finish completion as in the minibuffer, i.e. RET.

Yes, completion-in-region already places a field, so that's indeed part
of the plan, but I'd like it to be slightly more lightweight than what
you suggest: RET should not be required to leave completion.

        Stefan